# GeneratorSubstitutions

class xsdata.models.config.GeneratorSubstitutions(substitution=<factory>)

  Generator search and replace substitutions for classes, fields, packages and modules names. The process runs before and after the default naming conventions.

  Warning

  The generator doesn’t validate substitutions.

  Parameters

    substitution (`List`[`GeneratorSubstitution`]) – The list of substitutions

  __eq__(other)

    Return self==value.

  __hash__ = None